Package org.apache.sling.mcp.server.impl.contribs

# Class RepositoryPromptsRegistrar

java.lang.Object
org.apache.sling.mcp.server.impl.contribs.RepositoryPromptsRegistrar

public class RepositoryPromptsRegistrar extends Object

## Constructor Summary

Constructors
Constructor
Description
`RepositoryPromptsRegistrar(org.apache.sling.api.resource.ResourceResolverFactory rrf, org.apache.sling.serviceusermapping.ServiceUserMapped serviceUserMapped, org.osgi.framework.BundleContext ctx)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RepositoryPromptsRegistrar

public RepositoryPromptsRegistrar(org.apache.sling.api.resource.ResourceResolverFactory rrf, org.apache.sling.serviceusermapping.ServiceUserMapped serviceUserMapped, org.osgi.framework.BundleContext ctx) throws org.apache.sling.api.resource.LoginException

Throws:
  `org.apache.sling.api.resource.LoginException`